data:extend({
  {
    type = "recipe",
    name = "logistic-robot-MK2",
    enabled = "false",
    ingredients =
    {
      {"logistic-robot", 1},
      {"advanced-circuit", 10}
    },
    result = "logistic-robot-MK2"
  },

  {
    type = "recipe",
    name = "construction-robot-MK2",
    enabled = "false",
    ingredients =
    {
      {"construction-robot", 1},
      {"advanced-circuit", 10}
    },
    result = "construction-robot-MK2"
  },

  {
    type = "recipe",
    name = "roboload",
    enabled = "false",
    ingredients =
    {
      {"steel-plate", 20},
      {"iron-gear-wheel", 30},
      {"battery", 10}
    },
    result = "roboload"
  },

  {
    type = "recipe",
    name = "roboport-MK2",
    enabled = "false",
    ingredients =
    {
      {"roboport", 1},
      {"steel-plate", 5},
      {"advanced-circuit", 5}
    },
    result = "roboport-MK2"
  },
  
  {
    type = "recipe",
    name = "item-blocker",
    enabled ="false",
    ingredients = 
    {
	{"stone-brick", 2}
    },
    result = "item-blocker"
  },

  {
    type = "recipe",
    name = "super-transport-belt",
    enabled ="false",
    ingredients = 
    {
      {"iron-gear-wheel", 10},
      {"express-transport-belt", 1},
    },
    result = "super-transport-belt"
  },
  {
    type = "recipe",
    name = "super-transport-belt-to-ground",
    enabled = "false",
    ingredients =
    {
      {"iron-gear-wheel", 20},
      {"express-transport-belt-to-ground", 2}
    },
    result_count = 2,
    result = "super-transport-belt-to-ground"
  },

  {
    type = "recipe",
    name = "super-splitter",
    category = "crafting-with-fluid",
    enabled = "false",
    energy_required = 2,
    ingredients =
    {
      {"express-splitter", 1},
      {"iron-gear-wheel", 10},
      {"advanced-circuit", 10},
    },
    result = "super-splitter"
  },







  {
    type = "recipe",
    name = "fast-close-inserter",
    enabled ="false",
    ingredients = 
    {
      {"fast-inserter", 1},
      {"electronic-circuit", 5}
    },
    result = "fast-close-inserter"
  },

  {
    type = "recipe",
    name = "fast-long-handed-close-inserter",
    enabled ="false",
    ingredients = 
    {
      {"long-handed-inserter", 1},
      {"electronic-circuit", 5}
    },
    result = "fast-long-handed-close-inserter"
  },
  

  
---------------- left inserter -----------------

  {
    type = "recipe",
    name = "fast-inserter-left-90d",
    enabled ="false",
    ingredients = 
    {
      {"fast-inserter", 1},
      {"electronic-circuit", 5}
    },
    result = "fast-inserter-left-90d"
  },

  {
    type = "recipe",
    name = "very-fast-inserter-left-90d",
    enabled ="false",
    ingredients = 
    {
      {"fast-inserter-left-90d", 2},
      {"advanced-circuit", 5}
    },
    result = "very-fast-inserter-left-90d"
  },

  {
    type = "recipe",
    name = "fast-close-inserter-left-90d",
    enabled ="false",
    ingredients = 
    {
      {"fast-inserter-left-90d", 1},
      {"iron-gear-wheel", 10}
    },
    result = "fast-close-inserter-left-90d"
  },

{
    type = "recipe",
    name = "fast-long-handed-inserter-left-90d",
    enabled ="false",
    ingredients = 
    {
      {"long-handed-inserter", 1},
      {"electronic-circuit", 10}
    },
    result = "fast-long-handed-inserter-left-90d",
  },

{
    type = "recipe",
    name = "fast-long-handed-close-inserter-left-90d",
    enabled ="false",
    ingredients = 
    {
      {"fast-long-handed-inserter-left-90d", 1},
      {"iron-gear-wheel", 10}
    },
    result = "fast-long-handed-close-inserter-left-90d",
  },







------------- right inserter -------------

  {
    type = "recipe",
    name = "fast-inserter-right-90d",
    enabled ="false",
    ingredients = 
    {
      {"fast-inserter", 1},
      {"electronic-circuit", 5}
    },
    result = "fast-inserter-right-90d"
  },

  {
    type = "recipe",
    name = "very-fast-inserter-right-90d",
    enabled ="false",
    ingredients = 
    {
      {"fast-inserter-right-90d", 2},
      {"advanced-circuit", 5}
    },
    result = "very-fast-inserter-right-90d"
  },

  {
    type = "recipe",
    name = "fast-close-inserter-right-90d",
    enabled ="false",
    ingredients = 
    {
      {"fast-inserter-right-90d", 1},
      {"iron-gear-wheel", 10}
    },
    result = "fast-close-inserter-right-90d"
  },

{
    type = "recipe",
    name = "fast-long-handed-inserter-right-90d",
    enabled ="false",
    ingredients = 
    {
      {"long-handed-inserter", 1},
      {"electronic-circuit", 10}
    },
    result = "fast-long-handed-inserter-right-90d",
  },

{
    type = "recipe",
    name = "fast-long-handed-close-inserter-right-90d",
    enabled ="false",
    ingredients = 
    {
      {"fast-long-handed-inserter-right-90d", 1},
      {"iron-gear-wheel", 10}
    },
    result = "fast-long-handed-close-inserter-right-90d",
  },












  {
    type = "recipe",
    name = "smart-inserter-left-90d",
    enabled ="false",
    ingredients = 
    {
      {"smart-inserter", 1},
      {"electronic-circuit", 5}
    },
    result = "smart-inserter-left-90d"
  },

  {
    type = "recipe",
    name = "smart-inserter-right-90d",
    enabled ="false",
    ingredients = 
    {
      {"smart-inserter", 1},
      {"electronic-circuit", 5}
    },
    result = "smart-inserter-right-90d"
  },

})