-- Specifies set of pictures and animations used by more entities, to avoid duplication.
-- The standard set of transport belt pictures (vertical/horizontal + endigns + startings)
-- are used in transport belt, transport belt to ground and splitter.

ending_patch_prototype =
  {
    sheet = 
    {
      filename = "__base__/graphics/entity/basic-transport-belt/start-end-integration-patches.png",
      width = 40,
      height = 40,
      priority = "extra-high"
    }
  }


express_belt_horizontal =
  {
    filename = "__Logistic__/graphics/super-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32
  }
express_belt_vertical =
  {
    filename = "__Logistic__/graphics/super-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 40,
  }
express_belt_ending_top =
  {
    filename = "__Logistic__/graphics/super-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 80
  }
express_belt_ending_bottom =
  {
    filename = "__Logistic__/graphics/super-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 120
  }
express_belt_ending_side =
  {
    filename = "__Logistic__/graphics/super-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 160
  }
express_belt_starting_top =
  {
    filename = "__Logistic__/graphics/super-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 200
  }
express_belt_starting_bottom =
  {
    filename = "__Logistic__/graphics/super-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 240
  }
express_belt_starting_side =
  {
    filename = "__Logistic__/graphics/super-transport-belt.png",
    priority = "extra-high",
    width = 40,
    height = 40,
    frame_count = 32,
    y = 280
  }