require("prototypes.inserter-data")


data:extend({

{
    type = "inserter",
    name = "smart-inserter-left-90d",
    icon = "__Logistic__/graphics/icon/smart-inserter-left-90d.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "smart-inserter-left-90d"},
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    working_sound = sound(),
    
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {1, 0},
    insert_position = {0, 1.35},
    energy_per_movement = 7000,
    energy_per_rotation = 7000,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    filter_count = 5,
    
    hand_base_picture = hand_base_picture_s,
    hand_closed_picture = hand_closed_picture_s,
    hand_open_picture = hand_open_picture_s,
    hand_base_shadow = hand_base_shadow_s,
    hand_closed_shadow = hand_closed_shadow_s,
    hand_open_shadow = hand_open_shadow_s,
    platform_picture = platform_picture_s,
    
    programmable = true,
    rotation_speed = 0.035,
    uses_arm_movement = "basic-inserter"
  },

{
    type = "inserter",
    name = "smart-inserter-right-90d",
    icon = "__Logistic__/graphics/icon/smart-inserter-right-90d.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "smart-inserter-right-90d"},
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    working_sound = sound(),
    
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {-1, 0},
    insert_position = {0, 1.35},
    energy_per_movement = 7000,
    energy_per_rotation = 7000,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    filter_count = 5,
    
    hand_base_picture = hand_base_picture_s,
    hand_closed_picture = hand_closed_picture_s,
    hand_open_picture = hand_open_picture_s,
    hand_base_shadow = hand_base_shadow_s,
    hand_closed_shadow = hand_closed_shadow_s,
    hand_open_shadow = hand_open_shadow_s,
    platform_picture = platform_picture_s,
    
    programmable = true,
    rotation_speed = 0.035,
    uses_arm_movement = "basic-inserter"
  },

})