data:extend({

  {
    type = "technology",
    name = "logistic-robot-MK2",
    icon = "__Logistic__/graphics/icon/logistic-robot-MK2.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "logistic-robot-MK2"
      },

      {
        type = "ghost-time-to-live",
        modifier = 60 * 60 * 5
      }
    },
    prerequisites = {"logistic-robotics"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
		{"science-pack-3", 1}
      },
      time = 60
    },
    order = "c-k-e",
  },

  {
    type = "technology",
    name = "construction-robot-MK2",
    icon = "__Logistic__/graphics/icon/construction-robot-MK2.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "construction-robot-MK2"
      },

      {
        type = "ghost-time-to-live",
        modifier = 60 * 60 * 5
      }
    },
    prerequisites = {"construction-robotics"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
		{"science-pack-3", 1}
      },
      time = 60
    },
    order = "c-k-f",
  },

  {
    type = "technology",
    name = "roboload",
    icon = "__Logistic__/graphics/icon/Port.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "roboload"
      },
       {
        type = "unlock-recipe",
        recipe = "roboport-MK2"
      },

    },
    prerequisites = {"logistic-robotics", "construction-robotics"},
    unit =
    {
      count = 200,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
	{"science-pack-3", 1}
      },
      time = 60
    },
    order = "c-k-g",
  },


  {
    type = "technology",
    name = "logistic-1",
    icon = "__Logistic__/graphics/icon/logistic.png",
    effects =
    { 
    
      {
        type = "unlock-recipe",
        recipe = "fast-close-inserter"
      },
      {
        type = "unlock-recipe",
        recipe = "fast-long-handed-close-inserter"
      },
      
      
      {
        type = "unlock-recipe",
        recipe = "fast-inserter-left-90d"
      },
      {
        type = "unlock-recipe",
        recipe = "fast-long-handed-inserter-left-90d"
      },

      {
        type = "unlock-recipe",
        recipe = "fast-inserter-right-90d"
      },
      {
        type = "unlock-recipe",
        recipe = "fast-long-handed-inserter-right-90d"
      },

      {
        type = "unlock-recipe",
        recipe = "item-blocker"
      },

    },
    prerequisites = {"logistics"},
    unit =
    {
      count = 30,
      ingredients =
      {
        {"science-pack-1", 1}
      },
      time = 30
    },
    order = "c-k-h",
  },

  {
    type = "technology",
    name = "logistic-2",
    icon = "__Logistic__/graphics/icon/logistic-2.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fast-close-inserter-left-90d"
      },
      {
        type = "unlock-recipe",
        recipe = "fast-long-handed-close-inserter-left-90d"
      },

      {
        type = "unlock-recipe",
        recipe = "fast-close-inserter-right-90d"
      },
      {
        type = "unlock-recipe",
        recipe = "fast-long-handed-close-inserter-right-90d"
      },
    },
    prerequisites = {"logistic-1"},
    unit =
    {
      count = 60,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 1}
      },
      time = 40
    },
    order = "c-k-i",
  },

  {
    type = "technology",
    name = "logistic-3",
    icon = "__Logistic__/graphics/icon/logistic-3.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "smart-inserter-left-90d"
      },
      {
        type = "unlock-recipe",
        recipe = "smart-inserter-right-90d"
      },

    },
    prerequisites = {"logistic-2"},
    unit =
    {
      count = 90,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
      },
      time = 60
    },
    order = "c-k-j",
  },

  {
    type = "technology",
    name = "logistic-4",
    icon = "__Logistic__/graphics/icon/logistic-4.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "very-fast-inserter-left-90d"
      },
      {
        type = "unlock-recipe",
        recipe = "very-fast-inserter-right-90d"
      },
      {
        type = "unlock-recipe",
        recipe = "super-transport-belt"
      },
      {
        type = "unlock-recipe",
        recipe = "super-transport-belt-to-ground"
      },
      {
        type = "unlock-recipe",
        recipe = "super-splitter"
      },
			
    },
    prerequisites = {"logistic-3", "logistics-3"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
		{"science-pack-3", 1},
      },
      time = 60
    },
    order = "c-k-k",
  },
})